com.microfocus.awm.meta.interfaces

## Enum EParameterTypes

- java.lang.Object
- - java.lang.Enum<EParameterTypes>
  - - com.microfocus.awm.meta.interfaces.EParameterTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EParameterTypes>, org.eclipse.emf.common.util.Enumerator

      public enum EParameterTypes
      extends java.lang.Enum<EParameterTypes>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the type of a tool parameter: String, File, MassProcessing, ToolDefinedResourceOperation
  See Also:
    `TaurusPackage.getEParameterTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE` The 'File' literal object.
    `MASS_PROCESSING` Deprecated. the new IToolExecutor2 interface should be used. Mass processing is no longer supported as parameter type.
    `STRING` The 'String' literal object.
    `TOOL_DEFINED_RESOURCE_OPERATION` Deprecated. the new IToolExecutor2 interface should be used. TOOL_DEFINED_RESOURCE_OPERATION is no longer supported as parameter type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FILE_VALUE` The 'File' literal value.
    `static int` | `MASS_PROCESSING_VALUE` Deprecated. the new IToolExecutor2 interface should be used. MASS_PROCESSING_VALUE is no longer supported as parameter type value.
    `static int` | `STRING_VALUE` The 'String' literal value.
    `static int` | `TOOL_DEFINED_RESOURCE_OPERATION_VALUE` Deprecated. the new IToolExecutor2 interface should be used. TOOL_DEFINED_RESOURCE_OPERATION_VALUE is no longer supported as parameter type value.
    `static java.util.List<EParameterTypes>` | `VALUES` A public read-only list of all the 'EParameter Types' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EParameterTypes` | `get(int value)` Returns the 'EParameter Types' literal with the specified integer value.
    `static EParameterTypes` | `get(java.lang.String literal)` Returns the 'EParameter Types' literal with the specified literal value.
    `static EParameterTypes` | `getByName(java.lang.String name)` Returns the 'EParameter Types' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EParameterTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EParameterTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final EParameterTypes STRING

      The 'String' literal object.
      See Also:
        `STRING_VALUE`

    - #### FILE

          public static final EParameterTypes FILE

      The 'File' literal object.
      See Also:
        `FILE_VALUE`

    - #### TOOL_DEFINED_RESOURCE_OPERATION

          @Deprecated
          public static final EParameterTypes TOOL_DEFINED_RESOURCE_OPERATION

      Deprecated. the new IToolExecutor2 interface should be used. TOOL_DEFINED_RESOURCE_OPERATION is no longer supported as parameter type.
      The 'Tool Defined Resource Operation' literal object.
      See Also:
        `TOOL_DEFINED_RESOURCE_OPERATION_VALUE`

    - #### MASS_PROCESSING

          @Deprecated
          public static final EParameterTypes MASS_PROCESSING

      Deprecated. the new IToolExecutor2 interface should be used. Mass processing is no longer supported as parameter type.
      The 'Mass Processing' literal object.
      See Also:
        `MASS_PROCESSING_VALUE`

  - ### Field Detail

    - #### STRING_VALUE

          public static final int STRING_VALUE

      The 'String' literal value.
      See Also:
        `STRING`, Constant Field Values

    - #### FILE_VALUE

          public static final int FILE_VALUE

      The 'File' literal value.
      See Also:
        `FILE`, Constant Field Values

    - #### TOOL_DEFINED_RESOURCE_OPERATION_VALUE

          @Deprecated
          public static final int TOOL_DEFINED_RESOURCE_OPERATION_VALUE

      Deprecated. the new IToolExecutor2 interface should be used. TOOL_DEFINED_RESOURCE_OPERATION_VALUE is no longer supported as parameter type value.
      The 'Tool Defined Resource Operation' literal value.
      See Also:
        `TOOL_DEFINED_RESOURCE_OPERATION`, Constant Field Values

    - #### MASS_PROCESSING_VALUE

          @Deprecated
          public static final int MASS_PROCESSING_VALUE

      Deprecated. the new IToolExecutor2 interface should be used. MASS_PROCESSING_VALUE is no longer supported as parameter type value.
      The 'Mass Processing' literal value.
      See Also:
        `MASS_PROCESSING`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EParameterTypes> VALUES

      A public read-only list of all the 'EParameter Types' enumerators.

  - ### Method Detail

    - #### values

          public static EParameterTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EParameterTypes c : EParameterTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EParameterTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EParameterTypes get(java.lang.String literal)

      Returns the 'EParameter Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EParameterTypes getByName(java.lang.String name)

      Returns the 'EParameter Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EParameterTypes get(int value)

      Returns the 'EParameter Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EParameterTypes>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.